List deviceManagementCollectionSettingDefinitions
名前空間: microsoft.graph
重要: Microsoft Graph /beta バージョンの API は変更される場合があります。実稼働での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
deviceManagementCollectionSettingDefinition オブジェクトのプロパティとリレーションシップを一覧表示します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校アカウント) | DeviceManagementConfiguration.Read.All, DeviceManagementConfiguration.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementConfiguration.Read.All, DeviceManagementConfiguration.ReadWrite.All |
HTTP 要求
GET /deviceManagement/settingDefinitions
GET /deviceManagement/categories/{deviceManagementSettingCategoryId}/settingDefinitions
GET /deviceManagement/intents/{deviceManagementIntentId}/categories/{deviceManagementIntentSettingCategoryId}/settingDefinitions
GET /deviceManagement/templates/{deviceManagementTemplateId}/categories/{deviceManagementTemplateSettingCategoryId}/settingDefinitions
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
このメソッドには、要求本文を指定しません。
応答
成功した場合、このメソッドは応答コードと、応答本文の 200 OK deviceManagementCollectionSettingDefinition オブジェクトのコレクションを返します。
例
要求
以下は、要求の例です。
GET https://graph.microsoft.com/beta/deviceManagement/settingDefinitions
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 1307
{
"value": [
{
"@odata.type": "#microsoft.graph.deviceManagementCollectionSettingDefinition",
"id": "0419c4a7-c4a7-0419-a7c4-1904a7c41904",
"valueType": "boolean",
"displayName": "Display Name value",
"isTopLevel": true,
"description": "Description value",
"placeholderText": "Placeholder Text value",
"documentationUrl": "https://example.com/documentationUrl/",
"headerTitle": "Header Title value",
"headerSubtitle": "Header Subtitle value",
"keywords": [
"Keywords value"
],
"constraints": [
{
"@odata.type": "microsoft.graph.deviceManagementSettingAppConstraint",
"supportedTypes": [
"Supported Types value"
]
}
],
"dependencies": [
{
"@odata.type": "microsoft.graph.deviceManagementSettingDependency",
"definitionId": "Definition Id value",
"constraints": [
{
"@odata.type": "microsoft.graph.deviceManagementSettingAppConstraint",
"supportedTypes": [
"Supported Types value"
]
}
]
}
],
"elementDefinitionId": "Element Definition Id value"
}
]
}
フィードバック
フィードバックの送信と表示